"""
PyBinder - Python dependency injection container with extended dependencies
management for enjoying Inversion of Control.
"""

from .container import Container, Namespace
from .catalogs import Catalog
from .decorators import (provides, factory, singleton, requires,
                         requires_provider)
from .providers import Factory, Singleton, Value, Object
from .requires import Requires, RequiresProvider


__all__ = ['Container', 'Namespace', 'Catalog', 'provides', 'factory',
           'singleton', 'requires', 'requires_provider', 'Factory',
           'Singleton', 'Value', 'Object', 'Requires', 'RequiresProvider']
